directories:
  output: dist_installer
  buildResources: build
appId: com.openclaw.monitor
productName: OpenClaw Monitor
files:
  - filter:
      - '**/*'
      - '!dist/**'
      - '!dist_new/**'
      - '!release/**'
      - '!build_output/**'
      - '!node_modules/**/.*'
      - '!electron/*.js.map'
      - '!icon.ico'
asar: false
win:
  target:
    - target: nsis
      arch:
        - x64
  artifactName: ${productName}-Setup-${version}.${ext}
nsis:
  oneClick: false
  perMachine: false
  allowToChangeInstallationDirectory: true
  deleteAppDataOnUninstall: false
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: OpenClaw Monitor
  include: installer.nsh
linux:
  target:
    - target: AppImage
      arch:
        - x64
    - target: deb
      arch:
        - x64
  category: Utility
  artifactName: ${productName}-${version}-${arch}.${ext}
mac:
  target:
    - dmg
  category: public.app-category.utilities
publish:
  provider: generic
  url: https://raw.githubusercontent.com/aihui2925/share-app/master/
electronVersion: 28.3.3
